Skip to main content
GET
/
v5
/
clientMgmt
/
clients
Get clients
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/clientMgmt/clients \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "<string>",
      "email": "devops@hurdlr.com",
      "id": 123,
      "businessId": 123,
      "additionalContactName": "<string>",
      "showName": {},
      "businessName": "<string>",
      "showBusinessName": {},
      "status": "ACTIVE",
      "showEmail": {},
      "ccEmails": [
        "<string>"
      ],
      "bccEmails": [
        "<string>"
      ],
      "invoicePrefix": "INV",
      "isDefault": true,
      "phoneWork": "<string>",
      "showPhoneWork": {},
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>",
      "showAddress": {}
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

businessId
string
default:""

Business filter - returns only those clients associated with given business.

status
enum<string>[]

Status filter - returns all clients for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate